com.ihr.xbrl.om.formula.util

## Class VariablesLoopController.ClsVariableSetCombinationsIterator2

- java.lang.Object
- - com.ihr.xbrl.om.formula.util.VariablesLoopController.ClsVariableSetCombinationsIterator2

- All Implemented Interfaces:
    java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>
  Enclosing class:
    VariablesLoopController

      public static class VariablesLoopController.ClsVariableSetCombinationsIterator2
      extends java.lang.Object
      implements java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>

  The Class ClsVariableSetCombinationsIterator2.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariablesLoopController.ClsVariableSetCombinationsIterator2(XBRLVariableTree tree, XMLEvaluationContextProvider evalProvider, java.util.Vector<XBRLVariableResourceUse> evaluatedVars)` Instantiates a new cls variable set combinations iterator2.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getEvaluatedLen()` Gets the evaluated len.
    `boolean[]` | `getVariableEvaluated()` Gets the variable evaluated.
    `boolean[]` | `getVariableFallback()` Gets the variable fallback.
    `javax.xml.namespace.QName[]` | `getVariableNames()` Gets the variable names.
    `boolean` | `hasNext()`
    `boolean` | `isValidBinding()` Checks if is valid binding.
    `net.sf.saxon.s9api.XdmValue[]` | `next()`
    `void` | `remove()`
    `long` | `size()` Size.
    `void` | `updateVars(java.util.Vector<XBRLVariableResourceUse> evaluatedVars)` Update vars.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariablesLoopController.ClsVariableSetCombinationsIterator2

          public VariablesLoopController.ClsVariableSetCombinationsIterator2(XBRLVariableTree tree,
                                                                     XMLEvaluationContextProvider evalProvider,
                                                                     java.util.Vector<XBRLVariableResourceUse> evaluatedVars)
                                                                      throws XFValidationException

      Instantiates a new cls variable set combinations iterator2.
      Parameters:
        `tree` - the tree
        `evalProvider` - the eval provider
        `evaluatedVars` - the evaluated vars
      Throws:
        `XFValidationException` - the XF validation exception

  - ### Method Detail

    - #### size

          public long size()

      Size.
      Returns:
        the long

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>`

    - #### next

          public net.sf.saxon.s9api.XdmValue[] next()

      Specified by:
        `next` in interface `java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>`

    - #### getVariableNames

          public javax.xml.namespace.QName[] getVariableNames()

      Gets the variable names.
      Returns:
        the variable names

    - #### getVariableEvaluated

          public boolean[] getVariableEvaluated()

      Gets the variable evaluated.
      Returns:
        the variable evaluated

    - #### getEvaluatedLen

          public int[] getEvaluatedLen()

      Gets the evaluated len.
      Returns:
        the evaluated len

    - #### getVariableFallback

          public boolean[] getVariableFallback()

      Gets the variable fallback.
      Returns:
        the variable fallback

    - #### updateVars

          public void updateVars(java.util.Vector<XBRLVariableResourceUse> evaluatedVars)

      Update vars.
      Parameters:
        `evaluatedVars` - the evaluated vars

    - #### isValidBinding

          public boolean isValidBinding()

      Checks if is valid binding.
      Returns:
        true, if is valid binding